<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access directly.
/**
 *
 * Field: backup
 *
 * @since 1.0.0
 * @version 1.0.0
 *
 */
if ( ! class_exists( 'WDPOP_CORE_Field_backup' ) ) {
  class WDPOP_CORE_Field_backup extends WDPOP_Fields {

    public function __construct( $field, $value = '', $unique = '', $where = '', $parent = '' ) {
      parent::__construct( $field, $value, $unique, $where, $parent );
    }

    public function render() {

      $unique = $this->unique;
      $nonce  = wp_create_nonce( 'wdpop_core_backup_nonce' );
      $export = add_query_arg( array( 'action' => 'wdpop_core-export', 'unique' => $unique, 'nonce' => $nonce ), admin_url( 'admin-ajax.php' ) );

      echo wp_kses_post($this->field_before());

      echo '<textarea name="wdpop_core_import_data" class="wdpop_core-import-data"></textarea>';
      echo '<button type="submit" class="button button-primary wdpop_core-confirm wdpop_core-import" data-unique="'. esc_attr( $unique ) .'" data-nonce="'. esc_attr( $nonce ) .'">'. esc_html__( 'Import', 'wing-popup' ) .'</button>';
      echo '<hr />';
      echo '<textarea readonly="readonly" class="wdpop_core-export-data">'. esc_attr( wp_json_encode( get_option( $unique ) ) ) .'</textarea>';
      echo '<a href="'. esc_url( $export ) .'" class="button button-primary wdpop_core-export" target="_blank">'. esc_html__( 'Export & Download', 'wing-popup' ) .'</a>';
      echo '<hr />';
      echo '<button type="submit" name="wdpop_core_transient[reset]" value="reset" class="button wdpop_core-warning-primary wdpop_core-confirm wdpop_core-reset" data-unique="'. esc_attr( $unique ) .'" data-nonce="'. esc_attr( $nonce ) .'">'. esc_html__( 'Reset', 'wing-popup' ) .'</button>';

      echo wp_kses_post($this->field_after());

    }

  }
}
